[Cubicweb] Cannot upgrade blog instance to CW 3.10.4

Dr.Leo stefan.pankoke at googlemail.com
Tue Oct 26 20:11:53 CEST 2010


Hi,

any ideas on the following transcript? I have installed 3.10.4. 
Therefore I am a bit confused that it wants to upgrade to 3.9.9. This 
might not be an issue. - It might be a Win32-specific issue.

Leo



Upgrading the instance myblog
-----------------------------
c:\python26\lib\site-packages\cubicweb\web\webconfig.py:369: 
DeprecationWarning:
  [3.9] c:\python26\share\cubicweb\cubes\blog\data\external_resources 
file is dep
recated, use an uiprops.py file
   % resourcesfile, DeprecationWarning)
c:\python26\share\cubicweb\cubes\blog\hooks.py:6: DeprecationWarning: 
[3.9] impl
ements selector is deprecated, use either is_instance or adaptable
   __select__ = implements('BlogEntry',) & is_in_state('published')
c:\python26\share\cubicweb\cubes\blog\views\boxes.py:92: 
DeprecationWarning: [3.
9] implements selector is deprecated, use either is_instance or adaptable
   __select__ = LatestBlogsBox.__select__ & one_line_rset() & 
implements('Blog')
c:\python26\share\cubicweb\cubes\blog\views\primary.py:34: 
DeprecationWarning: [
3.9] implements selector is deprecated, use either is_instance or adaptable
   __select__ = implements('Blog')
c:\python26\share\cubicweb\cubes\blog\views\primary.py:51: 
DeprecationWarning: [
3.9] implements selector is deprecated, use either is_instance or adaptable
   __select__ = component.EntityVComponent.__select__ & implements('Blog')
c:\python26\share\cubicweb\cubes\blog\views\primary.py:76: 
DeprecationWarning: [
3.9] implements selector is deprecated, use either is_instance or adaptable
   __select__ = implements('BlogEntry')
c:\python26\share\cubicweb\cubes\blog\views\primary.py:95: 
DeprecationWarning: [
3.9] implements selector is deprecated, use either is_instance or adaptable
   __select__ = workflow.WFHistoryVComponent.__select__ & 
implements('BlogEntry')

c:\python26\share\cubicweb\cubes\blog\views\secondary.py:78: 
DeprecationWarning:
  [3.9] implements selector is deprecated, use either is_instance or 
adaptable
   __select__ = baseviews.SameETypeListView.__select__ & 
implements('BlogEntry')
c:\python26\share\cubicweb\cubes\blog\views\secondary.py:129: 
DeprecationWarning
: [3.9] implements selector is deprecated, use either is_instance or 
adaptable
   __select__ = implements('BlogEntry')
c:\python26\share\cubicweb\cubes\blog\views\secondary.py:147: 
DeprecationWarning
: [3.9] implements selector is deprecated, use either is_instance or 
adaptable
   __select__ = implements('BlogEntry')
c:\python26\share\cubicweb\cubes\blog\views\secondary.py:180: 
DeprecationWarning
: [3.9] implements selector is deprecated, use either is_instance or 
adaptable
   __select__ = paginated_rset() & sorted_rset() & implements('BlogEntry')
c:\python26\lib\site-packages\cubicweb\cwvreg.py:607: 
DeprecationWarning: [3.9]
Blog: using __implements__/interfaces are deprecated in favor of adapters
   DeprecationWarning)
c:\python26\lib\site-packages\cubicweb\cwvreg.py:607: 
DeprecationWarning: [3.9]
BlogEntry: using __implements__/interfaces are deprecated in favor of 
adapters
   DeprecationWarning)
-> migration needed from 3.9.8 to 3.9.9 for cubicweb
C:\var\run\cubicweb\myblog-all-in-one.pid doesn't exist.
Readline internal error
Traceback (most recent call last):
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 671,
in hook_wrapper_23
     res = ensure_str(readline_hook(prompt))
   File "c:\python26\lib\site-packages\pyreadline\rlmain.py", line 342, 
in readli
ne
     return self.mode.readline(prompt)
   File "c:\python26\lib\site-packages\pyreadline\modes\emacs.py", line 
116, in r
eadline
     self._print_prompt()
   File "c:\python26\lib\site-packages\pyreadline\rlmain.py", line 298, 
in _print
_prompt
     n = c.write_scrolling(self.prompt, self.prompt_color)
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 295,
in write_scrolling
     n = self.write_color(chunk, attr)
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 355,
in write_color
     text = ensure_unicode(text)
   File "c:\python26\lib\site-packages\pyreadline\unicode_helper.py", 
line 20, in
  ensure_unicode
     return text.decode(pyreadline_codepage, "replace")
TypeError: decode() argument 1 must be string, not None
pg_dump -Fc --username=postgres --no-owner --file C:\Dokumente und 
Einstellungen
\stefan\Eigene 
Dateien\dev\CW-instances\data\myblog\backup\tmpmfzn2k\system mybl
og
-> error trying to backup system [[Error 2] Das System kann die 
angegebene Datei
  nicht finden]
Readline internal error
Traceback (most recent call last):
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 671,
in hook_wrapper_23
     res = ensure_str(readline_hook(prompt))
   File "c:\python26\lib\site-packages\pyreadline\rlmain.py", line 342, 
in readli
ne
     return self.mode.readline(prompt)
   File "c:\python26\lib\site-packages\pyreadline\modes\emacs.py", line 
116, in r
eadline
     self._print_prompt()
   File "c:\python26\lib\site-packages\pyreadline\rlmain.py", line 298, 
in _print
_prompt
     n = c.write_scrolling(self.prompt, self.prompt_color)
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 295,
in write_scrolling
     n = self.write_color(chunk, attr)
   File "c:\python26\lib\site-packages\pyreadline\console\console.py", 
line 355,
in write_color
     text = ensure_unicode(text)
   File "c:\python26\lib\site-packages\pyreadline\unicode_helper.py", 
line 20, in
  ensure_unicode
     return text.decode(pyreadline_codepage, "replace")
TypeError: decode() argument 1 must be string, not None
upgrade aborted
C:\Dokumente und Einstellungen\stefan\Eigene Dateien\dev\cw-instances>



More information about the Cubicweb mailing list